Public Member Functions | Public Attributes | Friends | List of all members
LightWayTxtTextInternal::Font Struct Reference

Internal: struct used to store the font of a LightWayTxtText. More...

## Public Member Functions
| Font ()
| constructor More...
void | merge (Font const &fExtra)
| merge extra data to get final font More...

## Public Attributes
MWAWFont | m_font
| the font More...
int | m_height
| the line height More...
int | m_pictId
| the pict id (if set) More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: struct used to store the font of a LightWayTxtText.

## Constructor & Destructor Documentation

## ◆ Font()

LightWayTxtTextInternal::Font::Font | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ merge()

void LightWayTxtTextInternal::Font::merge | ( | Font const & | fExtra | ) |
| inline

merge extra data to get final font

Referenced by LightWayTxtText::sendMainText().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_font

MWAWFont LightWayTxtTextInternal::Font::m_font

the font

Referenced by merge(), LightWayTxtText::readFont2(), and LightWayTxtText::readFonts().

## ◆ m_height

int LightWayTxtTextInternal::Font::m_height

the line height

Referenced by LightWayTxtTextInternal::operator<<(), and LightWayTxtText::readFonts().

## ◆ m_pictId

int LightWayTxtTextInternal::Font::m_pictId

the pict id (if set)

Referenced by merge(), LightWayTxtTextInternal::operator<<(), and LightWayTxtText::readFont2().

The documentation for this struct was generated from the following file:

- LightWayTxtText.cxx